Snag Docs logo

Get Loyalty Rule Chains

Retrieve configured loyalty rule chains

GEThttps://admin.snagsolutions.io/api/loyalty/rule_chains

Retrieve configured loyalty rule chains

Loading code example
Loading code example

Authorizations

apiKeyAuthstringheaderrequired

API key passed in the header.

Query Parameters

organizationIdstring<uuid>required

Unique identifier for the organization

websiteIdstring<uuid>required

Unique identifier for the website

limitnumberdefault: 10

Number of rule chains to return

Required range: x >= 1, x <= 100
Default: 10
startingAfterstring<uuid>

Starting after the given rule chain ID

Response

application/json

200

dataarray<object>required
data.idstringrequired

Unique identifier for the rule chain

data.namestringrequired

Name of the rule chain

data.loyaltyRuleIdstringrequired

Unique identifier for the loyalty rule

data.operatorType"AND" | "OR"

Type of the operator. AND if all conditions must be met, OR if any condition can be met.

Allowed values: "AND" | "OR"
Default: "AND"
data.loyaltyConditionsarray<object>required
hasNextPagebooleanrequired